# Get agent file content

`GET /v1/projects/{project}/agents/{agent}/files/{file}/content`, operation `agents.GetAgentFileContent`

Downloads one of an agent's files, as it was uploaded, as an attachment.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `project` | path | Yes | `string` | The project's ID. |
| `agent` | path | Yes | `string` | The agent's ID. |
| `file` | path | Yes | `string` | The file's ID. |

## Responses

### 200

The file, as an attachment.

### default

Error

Base URL: `https://api.kosem.ai`. See [API conventions](https://docs.kosem.ai/reference/api-conventions.md) for authentication, pagination and errors, and [https://docs.kosem.ai/openapi.yaml](https://docs.kosem.ai/openapi.yaml) for the full OpenAPI document.